/*	**************************************************************************************
    *									options.js
    *									==========
    *
    *	Author: Geva Zeichner
    *	Forum:  http://forums.mozillazine.org/viewtopic.php?t=408043
    *	Date:   02/06/2006
    *	Edited: 29/02/2008
    **************************************************************************************/

var imdbp_options =
{

Handle_Sync: function(item_id)
{
	var item_node = document.getElementById(item_id);
	var modify_id = item_node.getAttribute("modify_id");
	var modify_node = document.getElementById(modify_id);
	var pref_id = item_node.getAttribute("preference");
	var pref_value = document.getElementById(pref_id).value;
	
	if (item_node.disabled == false)
		this.Disable(modify_node, !pref_value);
},

Disable: function(curr_node, set)
{
	var i = 0;
	var rc;
	
	// Set disable for node
	curr_node.disabled = set;
	
	// Set disable for node's children
	if (curr_node.hasChildNodes())
	{
		rc = this.Disable(curr_node.childNodes[0], set);
		while (curr_node.childNodes[i].nextSibling != null)
		{
			if (!rc || set)
				rc = this.Disable(curr_node.childNodes[i].nextSibling, set);
			i++;
		}
	}
	
	return (curr_node.hasAttribute("modify_id") && !curr_node.checked);
},

Donate: function()
{
	var paypal = 'https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=gevazeichner%40gmail%2ecom&item_name=Geva%20Zeichner%20%2d%20IMDb%20Preview%27s%20Development&item_number=Browser&no_shipping=1&cn=Notes&tax=0&currency_code=USD&lc=IL&bn=PP%2dDonationsBF&charset=UTF%2d8';
	window.opener.openURL(paypal);
},

Visit_Homepage: function()
{
	var homepage = 'http://forums.mozillazine.org/viewtopic.php?t=408043';
	window.opener.openURL(homepage);
},

Check_Color: function(textbox, fix)
{
	var passed = true;
	
	if (textbox.value == "")
	{
		textbox.value = "FFFFCC";
	}
	
	if (!textbox.value.match(/[0-9A-Fa-f]{6}/))
	{
		if (fix)
		{
			textbox.value = "FFFFCC";
			textbox.setAttribute("badformat", "false");
		}
		else
		{
			passed = false;
			textbox.setAttribute("badformat", "true");
		}
	}
	else
	{
		textbox.setAttribute("badformat", "false");
		if (fix)
			textbox.value = textbox.value.toUpperCase();
	}
	
	return (passed);
}

};















